#this file must not be included in any makefile. It will be launched by espidfGetSpecsTarget.mk
#calling parameters:
#	target = rungetspecs
#   current directory = main component directory
#   COMPONENT_MAKEFILE var = full path of main component.mk
#	COMPONENT_NAME var = component name (main)
#   SPECSFILE var = specs.c (C cpp c++) file  
#    

#190519 Obsolete and misleading comments removed

SPECSFILE?=
SPECSFILE_SUFFIX:=$(suffix $(strip $(SPECSFILE)))

COMPONENT_CONFIG_ONLY:=1 #for component_wrapper.mk 
include $(IDF_PATH)/make/component_wrapper.mk

COMPONENT_PRIV_INCLUDEDIRS ?=
OWN_INCLUDES:=$(abspath $(addprefix $(COMPONENT_PATH)/,$(COMPONENT_PRIV_INCLUDEDIRS) $(COMPONENT_ADD_INCLUDEDIRS)))
COMPONENT_INCLUDES := $(OWN_INCLUDES) $(filter-out $(OWN_INCLUDES),$(COMPONENT_INCLUDES))

CPPFLAGS_TO_REMOVE:=-M -MM -MG -MP -MT -MQ -MMD #not needed for settings discover
CPPFLAGSFORSETTINGS:=$(filter-out $(CPPFLAGS_TO_REMOVE),$(CPPFLAGS)) -E -P

.PHONY: rungetsettings
rungetsettings: 
ifeq "$(SPECSFILE_SUFFIX)" "" 
$(error SPECSFILE not valid)
else ifeq "$(SPECSFILE_SUFFIX)" ".c"
	$(CC) $(CFLAGS) $(CPPFLAGSFORSETTINGS) -v -dMDI $(addprefix -I ,$(COMPONENT_INCLUDES)) $(addprefix -I ,$(COMPONENT_EXTRA_INCLUDES)) $(SPECSFILE)
else #note eclipe setting discover (for windows) use a ".C" uppercase extension for c++ specs file
	$(CC) $(CXXFLAGS) $(CPPFLAGSFORSETTINGS) -v -dMDI $(addprefix -I ,$(COMPONENT_INCLUDES)) $(addprefix -I ,$(COMPONENT_EXTRA_INCLUDES)) $(SPECSFILE)
endif	   
